<template>
    <section class="basketTop">
        <div class="container">
            <div class="basketTop-inner">
                <div class="basket__top">
                    <p class="basket__title">Корзина</p>
                    <a class="basket__reset noMobile" href="">
                        <svg width="25" height="25" viewbox="0 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M12.5014 24.5846C5.85559 24.5846 0.418091 19.1471 0.418091 12.5013C0.418091 11.7763 0.901424 11.293 1.62642 11.293C2.35142 11.293 2.83476 11.7763 2.83476 12.5013C2.83476 17.818 7.18476 22.168 12.5014 22.168C17.8181 22.168 22.1681 17.818 22.1681 12.5013C22.1681 7.18463 17.8181 2.83464 12.5014 2.83464C9.23892 2.83464 6.21809 4.40547 4.52642 7.18463C4.04309 7.66797 3.31809 7.7888 2.83476 7.4263C2.23059 7.0638 2.10976 6.3388 2.47226 5.73464C4.64726 2.47214 8.51392 0.417969 12.5014 0.417969C19.1473 0.417969 24.5848 5.85547 24.5848 12.5013C24.5848 19.1471 19.1473 24.5846 12.5014 24.5846Z" fill="white"></path>
                            <path d="M12.5014 13.7083C11.7764 13.7083 11.2931 13.225 11.2931 12.5V6.45833C11.2931 5.73333 11.7764 5.25 12.5014 5.25C13.2264 5.25 13.7098 5.73333 13.7098 6.45833V12.5C13.7098 13.225 13.2264 13.7083 12.5014 13.7083Z" fill="white"></path>
                            <path d="M16.1264 17.3346C15.7639 17.3346 15.5223 17.2138 15.2806 16.9721L11.6556 13.3471C11.1723 12.8638 11.1723 12.1388 11.6556 11.6555C12.1389 11.1721 12.8639 11.1721 13.3473 11.6555L16.9723 15.2805C17.4556 15.7638 17.4556 16.4888 16.9723 16.9721C16.7306 17.2138 16.4889 17.3346 16.1264 17.3346Z" fill="white"></path>
                            <path d="M7.66777 7.66797H2.83443C2.10943 7.66797 1.6261 7.18464 1.6261 6.45964V1.6263C1.6261 0.901302 2.10943 0.417969 2.83443 0.417969C3.55943 0.417969 4.04277 0.901302 4.04277 1.6263V5.2513H7.66777C8.39277 5.2513 8.8761 5.73464 8.8761 6.45964C8.8761 7.18464 8.39277 7.66797 7.66777 7.66797Z" fill="white"></path>
                        </svg>
                    </a>
<!--                    <div class="marketBottom__lots-top&#45;&#45;box noMobile">-->
<!--                        <div class="marketBottom__lots-box&#45;&#45;select">-->
<!--                            <p class="marketBottom__lots-box&#45;&#45;select-&#45;&#45;title">Игра</p>-->
<!--                            <svg width="10" height="6" viewbox="0 0 10 6" fill="none" xmlns="http://www.w3.org/2000/svg">-->
<!--                                <path d="M1 1L5 5L9 1" stroke="#FF8231" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>-->
<!--                            </svg>-->
<!--                        </div>-->
<!--                        <div class="marketBottom__lots-box&#45;&#45;menu"><a class="marketBottom__lots-box&#45;&#45;menu-&#45;&#45;item" href="">Roblox </a><a class="marketBottom__lots-box&#45;&#45;menu-&#45;&#45;item" href="">CS:GO </a><a class="marketBottom__lots-box&#45;&#45;menu-&#45;&#45;item" href="">Minecraft </a></div>-->
<!--                    </div>-->
<!--                    <div class="marketBottom__lots-top&#45;&#45;box noMobile">-->
<!--                        <div class="marketBottom__lots-box&#45;&#45;select">-->
<!--                            <p class="marketBottom__lots-box&#45;&#45;select-&#45;&#45;title">Категории товара</p>-->
<!--                            <svg width="10" height="6" viewbox="0 0 10 6" fill="none" xmlns="http://www.w3.org/2000/svg">-->
<!--                                <path d="M1 1L5 5L9 1" stroke="#FF8231" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>-->
<!--                            </svg>-->
<!--                        </div>-->
<!--                        <div class="marketBottom__lots-box&#45;&#45;menu"><a class="marketBottom__lots-box&#45;&#45;menu-&#45;&#45;item" href="">Пример </a><a class="marketBottom__lots-box&#45;&#45;menu-&#45;&#45;item" href="">Пример</a><a class="marketBottom__lots-box&#45;&#45;menu-&#45;&#45;item" href="">Пример пример</a></div>-->
<!--                    </div>-->
                    <a @click.prevent="clear" class="basket__clear" href="#">Очистить</a>
                </div>
            </div>
        </div>
    </section>
</template>

<script setup>
import {UseBasket} from "@/Stores/BasketStore";

const basket = UseBasket();

const clear = () => basket.clearAllCart()

</script>

